Name:		voalte-apache-maven
Version:	3.0.5
Release:	1%{?dist}
Summary:	Apache Maven for Voalte
License:	Apache License v2.0
URL:		http://maven.apache.org/
Group:		Development/Tools

Source0:	apache-maven-%{version}-bin.tar.gz
Source1:	voalte-apache-maven.sh
Source2:	voalte-apache-maven.csh

Requires:	java-1.7.0-openjdk,java-1.7.0-openjdk-devel,java-1.7.0-openjdk-javadoc

%description
Apache Maven is a software project management and comprehension tool. 
Based on the concept of a project object model (POM), Maven can manage a 
project's build, reporting and documentation from a central piece of 
information.

This package is an RPM wrapper around the "apache-maven" binary package
available from: http://maven.apache.org/download.cgi

Voalte uses Maven to build some Java-based software, such as Neo4J.

%install
mkdir -p -m 0755 %{buildroot}/opt
cd %{buildroot}/opt
tar xzf %{SOURCE0}
ln -s apache-maven-%{version} apache-maven
mkdir -p -m 0755 %{buildroot}/etc/profile.d
install -m 0644 %{SOURCE1} %{buildroot}/etc/profile.d/
install -m 0644 %{SOURCE2} %{buildroot}/etc/profile.d/

%files
%defattr(-,root,root)
/opt/apache-maven
/opt/apache-maven-%{version}
/etc/profile.d/voalte-apache-maven.sh
/etc/profile.d/voalte-apache-maven.csh
